Barth
Netterfield

    kst@omega.astro.utoronto.ca

# Uso de la línea de órdenes y ejemplos

Un uso típico de kst es desde la línea de órdenes para producir gráficos X-Y o Z desde archivos de datos. kst puede leer datos en ASCII, o leer archivos y directorios binarios de datos compatibles, y opcionalmente (con bibliotecas externas) imágenes FITS, archivos PIOLib, archivos netCDF y archivos HEALPix FITS.

Resumen de la línea de órdenes de &kst;

## kst

Un programa para ver gráficos y datos

Las opciones son:

    kst opciones-Qt opciones-KDE opciones archivo

### Opciones

`[archivo...]`

  Un archivo .kst, o uno o más archivos de datos. Los formatos soportados son columnas en ASCII, archivos de estructuras BOOMERANG, archivos de directorios BLAST, y opcionalmente otros tipos que se soporten. Un archivo .kst guarda todas las opciones que pueden establecerse por parte de otros parámetros. Los parámetros siguientes sirven para sobreescribir las opciones dadas en el archivo .kst: `-F archivodatos`, `-n NS`, `-s NS`, `-f F0`, `-a`. El resto no se puede sobreescribir. Si se da un parámetro, se aplica a todos los vectores en el gráfico.

  Los datos ASCII desde la entrada estándar (stdin) pueden representarse incluyendo «stdin» en la lista `[archivo...]`.

`-y Y`

  La fuente para los datos del eje Y. En archivos ASCII, ésta es la columna. Para archivos binarios, éste es el nombre del campo. Para representar varias curvas, puede darse varias veces. Se presupone el mismo archivo de datos, rango de los datos, y datos del eje X.

`-e E`

  Las barras de error para los datos del eje Y. En archivos ASCII, es la columna que contiene los datos. Para archivos binarios, éste es el nombre del campo. Si se han dado varias entradas `-y Y`, esta opción puede usarse varias veces. Cada entrada Y individual se asocia en orden con las entradas E.

`-x X`

  La fuente para los datos del eje X. En archivos ASCII, ésta es la columna. Para archivos binarios, este es el nombre del campo. Si esta opción no se especifica, se usará el número de la fila en el archivo. Esta opción sólo puede darse una vez.

`-z Z`

  La fuente para los datos de la matriz Z (que se muestran como una imagen). Para los arhivos ASCII, ésta es la columna que contiene los datos z. Para otros formatos opcionales (HEALPix, imagen FITS, etc.), éste es el nombre del campo deseado de la matriz, tal y como se muestra en el diálogo de la matriz. Algunas fuentes de datos compatibles con la matriz también permiten utilizar apodos que es el número del campo de la matriz deseada. Para dibujar múltiples matrices, se debe especificar varias veces.

`-p P`

  La fuente para los espectros de potencias. En archivos ASCII, esta es la columna. Para archivos binarios, este es el nombre del campo. Para representar espectros de potencias en varias curvas, puede darse varias veces. Se presupone el mismo archivo de datos, rango de los datos, y longitudes de las fft para todos los espectros de potencias que se pidan desde la línea de órdenes.

`-l P`

  La longitud de la FFT usada en la estimación del espectro de potencias es 2^P.

`-h H`

  La fuente de los histogramas. En archivos ASCII, ésta es la columna. Para archivos binarios, éste es el nombre del campo. Se pueden definir múltiples histogramas desde la línea de órdenes.

`-m NC`

  Se usa cuando se han definido varias curvas. En vez de dibujar todas las curvas en el mismo gráfico, cada curva se dibuja en su propio gráfico,

`-f F0`

  El número de la estructura en la que comenzar la lectura (para archivos binarios), o línea (para archivos ASCII).

`-n`

  El número de estructuras (para archivos binarios) o filas (para archivos ASCII) a leer.

`-s NS`

  El número de estructuras o líneas a saltar en cada lectura. Esto es útil al trabajar con archivos de datos muy grandes, para agilizar la respuesta y conservar la memoria, en el caso en que los datos cambien de manera lenta.

`-a`

  Se usa con la opción `-s NS`: en vez de saltarse cada NS estructuras, se promedia sus datos. Esto da una combinación de un filtrado básico y de conservación de memoria.

`-F Datafile`

  Leer los datos desde el archivo dado para todos los vectores listados en el archivo .kst. Solo puede usarse en conjunción con un archivo kst.

`--print psfile`

  En vez de representar el gráfico, exportar la imagen a un archivo postcript y salirse. Nota de error: aunque no se abren ventanas en la pantalla, se requiere acceso al servidor X.

`--png pngfile`

  En vez de representar el gráfico, exportar la imagen a un archivo png de dimensiones 640x480 y salirse. Nota de error: aunque no se abren ventanas en la pantalla, se requiere acceso al servidor X.

### Ejemplos de línea de órdenes

Veamos varios ejemplos de uso típico.

Para representar la columna 1 de un archivo (tmp.dat) de datos ASCII:

    kst -y 1
    tmp.dat

Para representar las columnas 2,3 y 4 frente a la columna 1 de un archivo ASCII, en 1 gráfico:

    kst -x 1 -y 2 -y 3 -y 4 tmp.dat

Para representar las columnas 2, 3 y 4 vs. la columna 1, en 3 gráficos, dispuestos en 1 columna:

    kst -x 1 -y 2 -y 3 -y 4 -m 1 tmp.dat

Para representar 500 filas de la columna 2 de un archivo ASCII, comenzando en la línea 100:

    kst -y 2 -f 100 -n 500 tmp.dat

Para representar las primeras 100.000 filas de la columna 2 de un archivo ASCII, promediando cada 100 filas:

    kst -y 2 -f 0 -n 100000 -s 100 -a tmp.dat

(Utilizar fuentes de datos HEALPix opcionales) Para dibujar los 3 primeros mapas en un archivo HEALPix FITS en una rejilla de 2x2:

    kst -z 1 -z 2 -z 3 -m 2 ejemplo_healpix_sm.fits

(Utilizar fuentes de datos HEALPix opcionales) Para dibujar un mapa con un nombre de campo específico en un archivo HEALPix FITS:

    kst -z "1 - TEMPERATURA (Kelvin)" ejemplo_healpix_sm.fits